For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList audio enhancements
      • POSTCreate audio enhancement
      • GETGet audio enhancement
Status
LogoLogo
API ReferenceAudio Enhancement

List audio enhancements

GET
https://app.resemble.ai/api/v2/audio_enhancements
GET
/api/v2/audio_enhancements
$curl -G https://app.resemble.ai/api/v2/audio_enhancements \
> -H "Authorization: Bearer <token>" \
> -d page=1
1{
2 "success": true,
3 "page": 1,
4 "num_pages": 1,
5 "page_size": 1,
6 "total_count": 1,
7 "items": [
8 {
9 "uuid": "string",
10 "status": "pending",
11 "enhancement_engine": "v1",
12 "error_message": "string",
13 "remove_noise": true,
14 "normalize": true,
15 "studio_sound": true,
16 "loudness_target_level": 1,
17 "loudness_peak_limit": 1,
18 "enhancement_level": 1.1,
19 "original_audio_url": "string",
20 "enhanced_audio_url": "string"
21 }
22 ]
23}
Returns a paginated list of all audio enhancements for your team, ordered by most recent first.
Was this page helpful?
Previous

Create audio enhancement

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Query parameters

pageintegerRequired>=1

Page number (starting from 1).

page_sizeintegerOptional10-1000Defaults to 10

Items per page (10 to 1000). Default 10.

Response

List of enhancements
successboolean
pageinteger
num_pagesinteger
page_sizeinteger
total_countinteger
itemslist of objects

Errors

400
Bad Request Error